local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireEffect = ____shouldFire.shouldFireEffect
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostEffectUpdateFilter = __TS__Class()
local PostEffectUpdateFilter = ____exports.PostEffectUpdateFilter
PostEffectUpdateFilter.name = "PostEffectUpdateFilter"
__TS__ClassExtends(PostEffectUpdateFilter, CustomCallback)
function PostEffectUpdateFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireEffect
    self.postEffectUpdate = function(____, effect)
        self:fire(effect)
    end
    self.callbacksUsed = {{ModCallback.POST_EFFECT_UPDATE, self.postEffectUpdate}}
end
return ____exports
